Loading...
Searching...
No Matches
l4util_mb_info_t Struct Reference

MultiBoot Info description. More...

`#include <mb_info.h>`

Collaboration diagram for l4util_mb_info_t:

## Data Fields

l4_uint32_t | flags
| MultiBoot info version number.
l4_uint32_t | mem_lower
| available memory below 1MB
l4_uint32_t | mem_upper
| available memory starting from 1MB [KB]
l4_uint32_t | boot_device
| "root" partition
l4_uint32_t | cmdline
| Kernel command line.
l4_uint32_t | mods_count
| number of modules
l4_uint32_t | mods_addr
| module list
l4_uint32_t | mmap_length
| size of memory mapping buffer
l4_uint32_t | mmap_addr
| address of memory mapping buffer
l4_uint32_t | drives_length
| size of drive info buffer
l4_uint32_t | drives_addr
| address of driver info buffer
l4_uint32_t | config_table
| ROM configuration table.
l4_uint32_t | boot_loader_name
| Boot Loader Name.
l4_uint32_t | apm_table
| APM table.
l4_uint32_t | vbe_ctrl_info
| VESA video contoller info.
l4_uint32_t | vbe_mode_info
| VESA video mode info.
l4_uint16_t | vbe_mode
| VESA video mode number.
l4_uint16_t | vbe_interface_seg
| VESA segment of prot BIOS interface.
l4_uint16_t | vbe_interface_off
| VESA offset of prot BIOS interface.
l4_uint16_t | vbe_interface_len
| VESA lenght of prot BIOS interface.

## Detailed Description

MultiBoot Info description.

This is the struct passed to the boot image. This is done by placing its address in the EAX register.

Definition at line 247 of file mb_info.h.

The documentation for this struct was generated from the following file:

- l4/util/mb_info.h